## GwyHMarkerBox GwyHMarkerBox — A box with movable horizontal markers. |

## Functions

GtkWidget * | gwy_hmarker_box_new ()

## Types and Values

struct | GwyHMarkerBox
struct | GwyHMarkerBoxClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GwyMarkerBox
                        ╰── GwyHMarkerBox

## Implemented Interfaces

GwyHMarkerBox implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyHMarkerBox is a horizontal marker box, use the GwyMarkerBox interface to control it.

## Functions

### gwy_hmarker_box_new ()

    GtkWidget *
    gwy_hmarker_box_new (void);

Creates a new horizontal marker box.

#### Returns

The new horizontal marker box as a GtkWidget.

## Types and Values

### struct GwyHMarkerBox

    struct GwyHMarkerBox;

### struct GwyHMarkerBoxClass

    struct GwyHMarkerBoxClass {
        GwyMarkerBoxClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };